<?php
class factActions extends wtActions
{
    public function executeList()
    {
        LayoutTemplate::getInstance()->setUseBootstrap();


    }

    public function executeGrid()
    {
        LayoutTemplate::getInstance()->setUseBootstrap();
        set_header_utf8();
        ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
        $o_GridAction = new GridAction();
        $o_GridAction->setClassFind( new CP_ObligacionesFN() );

        $o_GridAction->addMethodDefault( "IdCompania", myUser::getUser()->getIdBusiness() );

        $o_GridAction->addAssignFilter( "IdTipoDocumento" );
        $o_GridAction->addAssignFilter( "Estado" );

        $o_GridAction->addConditionFilter( "ProveedorNombre", CP_ObligacionesFN::ProveedorNombre, "LIKE", "%%s%" );
        $o_GridAction->addConditionFilter( "NumeroOC", CP_ObligacionesFN::NumeroOC, "LIKE", "%%s%" );
        $o_GridAction->addConditionFilter( "DocumentoSerieNumero", CP_ObligacionesFN::DocumentoSerieNumero, "LIKE", "%%s%" );

        $o_GridAction->addConditionFilter( "FechaDocumento1", "LEFT(".CP_ObligacionesFN::FechaEmision.",10)", ">=" );
        $o_GridAction->addConditionFilter( "FechaDocumento2", "LEFT(".CP_ObligacionesFN::FechaEmision.",10)", "<=" );

        //$o_GridAction->addOrderDefault( COM_OrdenCompraCabeceraFN::IdOrdenCompra, false );

        $o_GridAction->addRowsToShow
        (
            "ObligacionesId", "IdTipoDocumento", "TipoDocumentoDesc", "FechaEmision", "DocumentoSerieNumero", "NumeroOC", "ProveedorNombre",
            "Descripcion", "IdMoneda", "MontoTotal", "Estado", "EstadoDesc", "MonedaDesc", "PagadoEstadoDesc", "MontoPagado", "MontoSaldo"
        );

        $o_GridAction->setNumberRecordsShow( 100 );

        $o_GridAction->initialize();
        ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

        $a_ResultJson['page']    = $o_GridAction->getPage();
        $a_ResultJson['total']   = $o_GridAction->getTotalPage();
        $a_ResultJson['records'] = $o_GridAction->getTotalRecords();
        $a_ResultJson['rows']    = $o_GridAction->getResultArray();

        echo json_encode( $a_ResultJson );

        return ViewResponse::NONE;
    }
}